Bug 1937123 - Pulp 2.21.5 included out of order migrations
Summary: Pulp 2.21.5 included out of order migrations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.9.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-09 21:52 UTC by Justin Sherrill
Modified: 2021-04-21 13:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:26:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:26:54 UTC

Description Justin Sherrill 2021-03-09 21:52:41 UTC
Description of problem:

Pulp 2.21.5  was released in the last snap, and that change included a new migration:

https://github.com/pulp/pulp/blob/05cb9e2174611b65ae013af1ec4a18e188e274c3/server/pulp/server/db/migrations/0030_last_updated_indices.py

marked as 0030.  When pulling this downstream, the migrations are supposed to be re-numbered, but in this case it was not and the migration still shows up as 0030:
# ls /usr/lib/python2.7/site-packages/pulp/server/db/migrations/*.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0006_migrations_removed.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0007_scheduled_task_conversion.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0008_replace_cert_with_key.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0009_qpid_queues.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0010_utc_timestamps.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0011_permissions_schema_change.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0012_reserved_resources_schema_change.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0013_role_schema_change.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0014_pulp_user_metadata.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0015_load_content_types.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0016_remove_repo_content_unit_owner_type_and_id.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0017_distributor_last_published.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0018_remove_archived_calls.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0019_repo_collection_id.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0020_drop_celery_taskmeta.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0021_remove_extra_importer_fields.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0022_distributor_collection_trim.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0023_importer_tls_storage.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0024_distributor_schema_change.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0030_last_updated_indices.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0300_upstream_0025_importer_schema_change.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0301_upstream_0026_revert_0025.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0302_upstream_0027_importer_schema_change.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0303_upstream_0028_distributor_last_updated_fix.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/0500_applicability_schema_change.py
/usr/lib/python2.7/site-packages/pulp/server/db/migrations/__init__.py

This causes problems with the migration

Comment 3 Lai 2021-03-22 17:51:23 UTC
This issue was discovered during dogfood migration.  Dogfood migrated for 20+ hours and finally passed.  It's safe to say that this issue is resolved.


Verified on 6.9.0_17, python3-pulp-2to3-migration-0.9.1-1.el7pc.noarch

Comment 6 errata-xmlrpc 2021-04-21 13:26:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.